174

I am trying to transfer an app. I am having troubles finding my team agent apple id and my team id. I have found it before and I have searched for 30 min without any luck now that i need it.

The person trying to transfer the app to me gets to view in this image and I don't know where to find this info.

The person trying to transfer the app to me gets to this view and I don't know where to find this info.

4

7 回答 7

284

您可以在此处找到您的团队 ID:

https://developer.apple.com/account/#/membership

这将使您进入您的会员详细信息,只需向下滚动到团队 ID

于 2013-09-10T20:13:17.157 回答
68

如果你在 OSX 上,你也可以找到它作为你的钥匙串。您的开发人员和分发证书中包含您的团队 ID。

应用程序 -> 实用程序 -> 钥匙串访问。

在“登录”钥匙串下,进入“证书”类别。

滚动查找您的开发或分发证书。他们将阅读:

iPhone 分布:团队名称证书 id

或者

iPhone 开发人员:团队名称证书 ID

只需双击该项目,然后

“组织单位”

是“团队 ID”

在此处输入图像描述

请注意,这是找到您的

“个人团队”ID

您无法在 Apple 网页界面上找到“个人团队”ID。

例如,如果您从 Unity 自动化构建,在开发期间您会希望它在 Xcode 中显示为您的“个人团队”——这是获得该价值的唯一方法。

于 2017-12-09T19:57:14.257 回答
17

您可以通过以下链接找到团队 ID:https ://developer.apple.com/membercenter/index.action#accountSummary

于 2014-02-11T01:02:07.210 回答
16

苹果改变了界面。

可以通过以下链接找到团队 ID: https ://developer.apple.com/account/#/membership

于 2016-04-12T01:22:58.543 回答
15

对于个人团队

grep DEVELOPMENT_TEAM MyProject.xcodeproj/project.pbxproj

应该给你团队ID

DEVELOPMENT_TEAM = ZU88ND8437;
于 2019-11-16T04:42:43.730 回答
5

即使您不是付费用户,也可以通过多种方式进行检查。您可以从 Xcode 确认 TeamID。[构建设置] 显示在开发团队的工具提示上。

于 2018-07-04T08:18:25.223 回答
1

我想从命令行(终端)得到这个,所以我想出了这个 bash 脚本

链接到要点

#!/usr/bin/env bash

#requires openssl@3 from Homebrew
_openssl=$(brew --prefix openssl 2>/dev/null)/bin/openssl
[[ -x $_openssl ]] || { echo "missing openssl, try \`brew install openssl\`"; exit 1; }

#find development cert
id=$(security find-identity -v -p codesigning | head -1)
[[ -n $id ]] || exit 1
cn=$(sed -En 's/^.*Apple Development.*\((.*)\).*$/\1/p' <<<"$id")
sha1=$(sed -En 's/^.*([A-F0-9]{40}).*$/\1/p' <<<"$id")
[[ -n $cn && -n $sha1 ]] || { echo "could not find valid development cert"; exit 1; }

#make temp dir
outdir=$(mktemp -d /private/tmp/teamid.XXXXXX)
[[ -n $outdir ]] || { echo "error creating temp dir"; exit 1; }

#export cert
if ! security find-certificate -c "$cn" -Z -p >"${outdir}/${cn}.pem"; then
  echo "error exporting cert from Keychain"
  exit 1
fi

#check for hash match
certhash=$(awk -F: '/SHA-1 hash:/{sub(" ","",$2); print $2}' "${outdir}/${cn}.pem")
[[ "$certhash" == "$sha1" ]] || { echo "hash mismatch!"; exit 1; }

#output DEVELOPMENT_TEAM
$_openssl x509 -in "${outdir}/${cn}.pem" -subject -noout |
sed -En 's/.*OU = ([^,]+),.*$/\1/p'

#cleanup
rm -r "${outdir:?}"
于 2021-12-23T16:23:11.683 回答